Subject: Re: [bug#74784] [PATCH v2] gnu: hugs: Fix build with GCC.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 23 Dec 2024 20:40:31 +0100

Homo <[email-masked]> skribis:

> * gnu/packages/patches/hugs-fix-build.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Register it.
> * gnu/packages/hugs.scm (hugs)[source]: Use it.
> [native-inputs]: Remove.
>
> Change-Id: I8b17f6c8a89fbc25ac9fe40b58962c83b08cbc21
> ---
> Hi,
>
> The patch itself is taken from https://aur.archlinux.org/cgit/aur.git/tree/hsbase_inline.patch?h=hugs
> so for a while I was puzzled what to write when I don't understand C code.

I added this link to the top of the patch.

> etc/committer.scm doesn't work with these changes, either it backtraces or says "Nothing to do."
> so instead I had to write manually, hopefully I didn't misunderstand what to write.

Oh, too bad.  It’s perfect anyway!

Applied, thanks!

Ludo’.